# \Thelia\ToolsURL

## Summary

Methods
Properties
Constants
getIndexPage()
absoluteUrl()
adminViewUrl()
viewUrl()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Tools/URL.php
Package
  \Default
Class hierarchy
  \Thelia\Tools\URL

## Tags

None found

## Methods

### getIndexPage()

    getIndexPage()

#

static

## Tags

None found

### absoluteUrl()

    absoluteUrl(string $path, array $parameters, boolean $path_only) : string

Returns the Absolute URL for a given path relative to web root. By default, the index.php (or index_dev.php) script name is added to the URL, use $path_only = true to get a path without the index script.

#### Parameters

string | $path | the relative path
array | $parameters | An array of parameters
boolean | $path_only | if true, getIndexPage() will not be added

#### Returns

string —

The generated URL

#

static

## Tags

None found

### adminViewUrl()

    adminViewUrl(string $viewName, mixed $parameters) : string

Returns the Absolute URL to a administration view

#### Parameters

string | $viewName | the view name (e.g. login for login.html)
mixed | $parameters | An array of parameters

#### Returns

string —

The generated URL

#

static

## Tags

None found

### viewUrl()

    viewUrl(string $viewName, mixed $parameters) : string

Returns the Absolute URL to a view

#### Parameters

string | $viewName | the view name (e.g. login for login.html)
mixed | $parameters | An array of parameters

#### Returns

string —

The generated URL

#

static

## Tags

None found

### URL.php